#!/usr/local/bin/python


import fileinput
import re
import getopt
import sys

from obitools.fasta import fastaIterator,writeFasta

    
def printHelp():
    print "-----------------------------------"
    print " fastaComplement.py"
    print "-----------------------------------"
    print "fastaComplement.py <fastafile>"
    print "    complement and reverse all sequence in the fasta file"
    print "-----------------------------------"
    print "-h    --help                       : print this help"
    print "-----------------------------------"
    

if __name__=='__main__':

    fasta = fastaIterator(fileinput.input())
    
    for seq in fasta:
        print writeFasta(seq.complement())
            
            