#!/usr/local/bin/python
"""\
-------------------------------------------------------
 fastalength.py
-------------------------------------------------------

fastaLength.py [-h|--help] <fastafile>"

    add length data on all sequences in the fasta file.

-------------------------------------------------------
-h    --help                       : print this help
-------------------------------------------------------
"""

import fileinput
import re
import getopt
import sys

from obitools.fasta import fastaIterator,writeFasta
from obitools.utils import checkHelpOption
    

if __name__=='__main__':
    
    checkHelpOption(__doc__)

    fasta = fastaIterator(fileinput.input())
    
    for seq in fasta:
            seq['seqLength']=str(len(seq))
            print writeFasta(seq)
            
            